Subject: Re: question on Cygwin's version of make
From: Csaba Raduly <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Mar 2012 09:27:58 +0100
List-Id: <cygwin.cygwin.com>

On Thu, Mar 1, 2012 at 8:13 AM, Paul Allen Newell  wrote:
> I've got a C++ tree that is running under Fedora 14, Fedora 16, and Cygwin.
> Everything works.
>
> Tonight, I needed to test something and was on my Windows box, so I did a
> cut-and-paste operation which gave me a directory of "Copy of myStuff". I
> did a make and it worked, but I am seeing a message about "basename: extra
> operand 'myStuff'.

That appears to be an error message from /usr/bin/basename

GNU make has a built-in function $(basename ...) but that doesn't
appear to have such an error message.

> I figured out that the spaces in the MS "Copy of myStuff" were the problem
> and was able to rename w/o spaces and move forward.
>
> But I would like to ask if anyone knows what in "make" uses the basename
> command so I can try to either massage the Makefile to deal with it or throw
> a more meaningful error (as in "your directory has spaces in it and there
> will be complaints")?

Read your makefile. One of the actions is probably using basename.
Alas, /usr/bin/basename has no way of knowing that it was invoked from
make; you can't get "more meaningful errors".

Csaba
-- 
GCS a+ e++ d- C++ ULS$ L+$ !E- W++ P+++$ w++$ tv+ b++ DI D++ 5++
The Tao of math: The numbers you can count are not the real numbers.
Life is complex, with real and imaginary parts.
"Ok, it boots. Which means it must be bug-free and perfect. " -- Linus Torvalds
"People disagree with me. I just ignore them." -- Linus Torvalds

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple